Skip to content

Submissions ​

Platform API v2.0.0

Tiered Usage

Request calls made to all Submission endpoints will count towards your API tiered usage allowance. For more info please see Usage Allowance.

POST XML Upload ​

/submissions/xml

This endpoint is used launch both Submit/Request (Requests to Suppliers) and Submit/Declare (Supplier Declaration) functionality via the upload of IPC 1752 XMLs in the relevant class formats (more info in the XML Files section). Functional examples:

  • Request Supplier Declarations: Upload 1752A/B in Request/Reply mode.
  • Create an RCD: Upload 1752A/B Class C in Distribute mode (coming soon).
  • Create an FMD: Upload 1752A/B Class D in Distribute mode (coming soon).

The endpoint returns a SubmissionStatusDto with a unique submission number that can be used to poll the GET Submission Status endpoint for the status of your submission.

Request Body ​

The POST request body should be IPC 1752 XML raw content information in line with the IPC Material Declaration Standard and conform to Content-Type: application/xml.

If the uploaded XML file passes initial HTTP checks the contents will be validated with any validations being available as part of the SubmissionStatusReport object.

Request Process ​

Responses ​

SubmissionStatusDto (202 Accepted)

json
{
    "submissionNumber": "c039b3142422",
    "statusUrl": "https://api.bomcheck.com/v2/submissions/c039b3142422",
    "reportUrl": "https://app.bomcheck.com/apiv2/submissions/c039b3142422"
}

Please also see HTTP Responses.

Submit/Request Functionality ​

lorem

Submit/Declare Functionality ​

lorem

POST Simplified Submit/Request ​

/submissions/request

Simplified endpoint to easily launch supplier declaration requests via JSON payload without the need to construct and attach a valid IPC XML in Request/Reply mode. Follows request response flow of the POST XML Upload endpoint.

Request Example ​

json
{
    "supplierDuns": "111111110", // Required, valid supplier DUNs
    "supplierEmail": "supplier@bomcheck.net", // Required, valid supplier authorizer email address
    "contactCc": "jbloggs@acme.com", // Optional, CC email must exist in BOMcheck
    "partNumbers": ["ABC123", "DEF456", "XYZ999"], // Required, array of string part numbers
    "partNumberOrigin": "itemNumber", // Optional, "itemNumber" = supplier part numbers (default), "requesterItemNumber" = our part numbers
    "formatClass": "requestDthenC", // Optional, "C", "D" or "requestDthenC" (default)
    "confidentiality": false, // Optional, Boolean true or false (default)
    "regulationLists": ["EUROHS-0508", "EUREACH-0624", "Prop_65_substances", "BOMcheck_PFAS_List"], // Required, valid BOMcheck supported substance list identities
    "respondByDate": "2026-01-01", // Required, ISO8601 formatted date string as YYYY-MM-DD
    "message": "We request FMDs be made where possible. Yours faithfully ACME Electronics." // Optional, text message
}

GET Submission Status ​

/submissions/{submissionNumber}

Returns a SubmissionStatusReport containing information on the current processing status of a previous submission to the POST XML Upload endpoint.

URI (Path) Parameters ​

submissionNumber

  • Type: String
  • Required: Yes
  • Description: Returned as an attribute of the SubmissionStatusDto object or obtained from the BOMcheck API dashboard user interface. Should be provided as a query string parameter in the GET request URL.

Request Process ​

Responses ​

SubmissionStatusReport (200 OK)

json
{
    "status": "PENDING",
    "filename": "Partnumber12345.xml",
    "submissionNumber": "c039b3142422",
    "reportUrl": "https://app.bomcheck.com/apiv2/submissions/c039b3142422",
    "refValue": "005056b7-b57b-4ed9-b1ae-c99fb9dec1e7",
    "validations": [
        {
            "context": "175x:ZZZZZZZZZZZZZZZZ-AAAAAAAAAAA",
            "level": "FAIL",
            "code": "BR068"
        }
    ],
    "refType": "Part itemNumber",
    "submissionDate": "2019-10-11T10:58:00.726928+03:00",
    "dataUuid": "anyname.xml"
}

Please also see HTTP Responses.